
Foreman - Bug #14912

hirb/wirb and console setup is not performed with bundler_ext

05/03/2016 06:49 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Packaging   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3488

  

Description

When running Foreman under bundler_ext (e.g. our RPMs), the console setup isn't performed when starting a Rails console. The

Rails console should enable wirb (colour highlighting), hirb (tables) and issue a suggestion about setting User.current.

Associated revisions

Revision e5b9e308 - 05/05/2016 01:24 PM - Dominic Cleal

fixes #14912 - setup console gems under bundler_ext

History

#1 - 05/03/2016 07:02 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3488 added

#2 - 05/05/2016 02:04 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e5b9e30809b73cd7f26b88801b09b81b05847b0f.

#3 - 05/06/2016 02:54 AM - Dominic Cleal

- translation missing: en.field_release set to 136
